* {
  box-sizing: border-box;
}

.dashboard-container {
  background-color: gainsboro;
}

.row::after {
  content: "";
  clear: both;
  display: table;
}

[class*="col-"] {
  float: left;
  border: 1px solid rgba(0, 0, 0, 0);
}

/* For mobile phones and tablets */
[class*="col-"] {
  width: 100%;
}

#filterDiv {
  padding: 5px 0.5vw;
}

#combinedDiv {
  padding: 10px 0 5px 0;
}

#scatterplotDiv,
#barchartDiv,
#bubblechartDiv,
#radarchartDiv,
#clusteringDiv {
  padding: 5px 0;
}

/* For desktop */
@media only screen and (min-width: 1024px) {
  #filterDiv {
    padding: 1vw;
  }

  #combinedDiv {
    padding: 0 0 0.5vw 0.5vw;
  }

  #scatterplotDiv {
    padding: 0 0.5vw 0.5vw 0;
  }

  #barchartDiv {
    padding: 0.5vw 0 0.5vw 0.5vw;
  }

  #scatterClusterDiv {
    padding: 0.5vw 0.5vw 0vw 0vw;
  }

  #bubblechartDiv {
    padding: 0.5vw 0.5vw 0.5vw 0;
  }

  #radarchartDiv {
    padding: 0vw 0.5vw 0.5vw 0.5vw;
  }

  #clusteringDiv {
    padding: 0.5vw 0vw 0vw 0.5vw;
  }

  #helperDiv {
    padding: 0.5vw 1vw 0.5vw 1vw;
  }

  .col-1 {
    width: 8.33%;
  }
  .col-2 {
    width: 16.66%;
  }
  .col-3 {
    width: 25%;
  }
  .col-4 {
    width: 33.33%;
  }
  .col-5 {
    width: 41.66%;
  }
  .col-6 {
    width: 50%;
  }
  .col-7 {
    width: 58.33%;
  }
  .col-8 {
    width: 66.66%;
  }
  .col-9 {
    width: 75%;
  }
  .col-10 {
    width: 83.33%;
  }
  .col-11 {
    width: 91.66%;
  }
  .col-12 {
    width: 100%;
  }
}
